<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Introduction</title>
	
	<!-- internal css

	     we can apply style to multpile elements with the same tag or multiple elements as we selected.

	     this style from internal css can only affect the elements where the internal css is added.
	      -->

	      <!-- ctrl + shift + arrow to move highlighted tags or elements -->

<!-- external css is the best way/practices of implementing stylings. -->

<link rel="stylesheet" type="text/css" href="./style.css">
<!-- we can implement an external css to multiple pages -->
<!-- 	 <style type="text/css">
		h1{
			color: pink !important;
			background-color: gray;
		}
	</style>
 -->

</head>
<body>
	<!-- 

	The style attribute changes the styling properties of an element.
	This implementation of style is what we call inline styling.

	The Value of style attribute are the properties of the element.
	The values before the colon (:) are the element's properties.
	The Values after the colon are the values we woul like to assign our property.

	<tag style="propert:value;">text</tag>

	Multiple properties can be change or assigned in our inline-style.

	inline styling can become bulky, can become erratic.

	inline style is given mo re priority over internal style. Wherin the properties set the inline overrired the properties set via internal style.

	inline > internal > external

	inline !important > internal !important > external !important

	however, external css is the best practice ampong the implementation of style.

	Inline Style Sample:
    <h1 Style ="color: red;font-size:100px;">Hello World</h1>

  	 -->
<!-- nav bar -->
     
     <nav id="top">
     	<a href="#landing">Zuitt</a>
     	<div>
     		<a href="#landing">Landing</a>
     		<a href="#Register">Register</a>
     	</div>
     </nav>

    <h1>Hello World!</h1>
  
    <section id="landing">

    	<h2>Welcome to Zuitt!</h2>
        <h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>
        <img src="https://place-puppy.com/450x450">

    	
    	<ol id="bootcamp-learning-list">

    	<!-- class can be used to add styligs to elements with the same class. Unlike id, it can be implemented to multiple elements -->
    	<li class="offering-item">Day Classes</li>
    	<li class="offering-item">Night Classes</li>
    	<li class="offering-item">Intro to Coding Events</li>

    </ol>
    <a href="#top">Back to Top</a>

 
    </section>
   

    <section id="register">

    <h2>Register</h2>
    <form>
    	
    	<label for="first name">First Name</label>
    	
    	<input type="text" name="First-name" id="First-name" required autocomplete>
    	
    	<label for="lastt name">Last Name</label>
  
    	<input type="text" name="Lastt-name" id="Lastt-name" required autocomplete>
    	
    	<label for="email">Email</label>
    	<input type="email" name="email" id="email" required  autocomplete>

    	<button type="submit">Apply Now!</button>
    	
    </form>
      

      <!-- when assigning a element's id as href for achor we can navigate to that part of the page  -->

    <a href="#top">Back to Top</a>
   
    </section>






</body>
</html>